- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterT< PrimitiveType > Class Template Reference
[COLLADA Effect Classes [ColladaFX]]

A COLLADA non-animatable effect parameter template. More...

`#include <FCDEffectParameter.h>`

Inheritance diagram for FCDEffectParameterT< PrimitiveType >:

List of all members.

## Public Member Functions
| FCDEffectParameterT (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDEffectParameterT ()
| Destructor.
virtual Type | GetType () const
| Retrieves the type of effect parameter class.
const PrimitiveType & | GetValue () const
| Retrieves the value of the effect parameter.
void | SetValue (const PrimitiveType &_value)
| Sets the integer value of the effect parameter.
virtual bool | IsValueEqual (FCDEffectParameter *parameter)
| Compares this parameter's value with another.
virtual FCDEffectParameter * | Clone (FCDEffectParameter *clone=NULL) const
| Creates a full copy of the effect parameter.
virtual void | Overwrite (FCDEffectParameter *target)
| [INTERNAL] Overwrites the target parameter with this parameter.

## Detailed Description

### template<class PrimitiveType>
class FCDEffectParameterT< PrimitiveType >

A COLLADA non-animatable effect parameter template.

## Constructor & Destructor Documentation

template<class PrimitiveType>
FCDEffectParameterT< PrimitiveType >::FCDEffectParameterT | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Instead, use the appropriate AddEffectParameter function. Parameters:
  | document | The COLLADA document that owns the effect parameter.

## Member Function Documentation

template<class PrimitiveType>
FCDEffectParameter * FCDEffectParameterT< PrimitiveType >::Clone | ( | FCDEffectParameter * | clone = `NULL` | ) | const`[virtual]`

  | Creates a full copy of the effect parameter. Parameters:
  | clone | The cloned effect parameter. If this pointer is NULL, a new effect parameter will be created and you will need to delete this pointer.
Returns: The cloned effect parameter. Reimplemented from FCDEffectParameter.

template<class PrimitiveType>
virtual Type FCDEffectParameterT< PrimitiveType >::GetType | ( |  | ) | const`[virtual]`

| Retrieves the type of effect parameter class. Returns: The parameter class type. Implements FCDEffectParameter.

template<class PrimitiveType>
const PrimitiveType& FCDEffectParameterT< PrimitiveType >::GetValue | ( |  | ) | const`[inline]`

| Retrieves the value of the effect parameter. Returns: The integer value.

template<class PrimitiveType>
bool FCDEffectParameterT< PrimitiveType >::IsValueEqual | ( | FCDEffectParameter * | parameter | ) | `[virtual]`

  | Compares this parameter's value with another. Parameters:
  | parameter | The given parameter to compare with.
Returns: true if the values are equal Implements FCDEffectParameter.

template<class PrimitiveType>
void FCDEffectParameterT< PrimitiveType >::Overwrite | ( | FCDEffectParameter * | target | ) | `[virtual]`

  | [INTERNAL] Overwrites the target parameter with this parameter. This function is used during the flattening of materials. Parameters:
  | target | The target parameter to overwrite.
Reimplemented from FCDEffectParameter.

template<class PrimitiveType>
void FCDEffectParameterT< PrimitiveType >::SetValue | ( | const PrimitiveType & | _value | ) | `[inline]`

  | Sets the integer value of the effect parameter. Parameters:
  | _value | The integer value.

The documentation for this class was generated from the following files:

- FCDocument/FCDEffectParameter.h
- FCDocument/FCDEffectParameter.hpp